Package org.eclipse.net4j.util.security.operations

# Class AuthorizableOperation.Builder

java.lang.Object
org.eclipse.net4j.util.security.operations.AuthorizableOperation.Builder

Enclosing class:
  `AuthorizableOperation`

public static final class AuthorizableOperation.Builder extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Builder(String id)`

## Method Summary

Modifier and Type
Method
Description
`AuthorizableOperation`
`build()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`id()`
`Object`
`parameter(String key)`
`AuthorizableOperation.Builder`
`parameter(String key, Object value)`
`Map<String,Object>`
`parameters()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Builder

public Builder(String id)

## Method Details

### id

public String id()

### parameters

public Map<String,Object> parameters()

### parameter

public Object parameter(String key)

### parameter

public AuthorizableOperation.Builder parameter(String key, Object value)

### build

public AuthorizableOperation build()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`